Context Engine
Use the Context Engine APIs to manage AI Indices, query them with ES|QL, and describe them for an agent. An AI Index attaches a name, sources, traces, and automations to a single data stream or index.
In each space, these APIs return a 404 until the contextEngine:enabled advanced setting is turned on for that space.
-
List AI Indices
Stack
Planned
- GET /api/context_engine/ai_index
-
Create an AI Index
Stack
Planned
- POST /api/context_engine/ai_index
-
Query AI Indices
Stack
Planned
- POST /api/context_engine/ai_index/_query
-
Get an AI Index
Stack
Planned
- GET /api/context_engine/ai_index/{aiIndexId}
-
Create or update an AI Index
Stack
Planned
- PUT /api/context_engine/ai_index/{aiIndexId}
-
Delete an AI Index
Stack
Planned
- DELETE /api/context_engine/ai_index/{aiIndexId}
-
Describe an AI Index
Stack
Planned
- GET /api/context_engine/ai_index/{aiIndexId}/_describe